Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Notify_POA_Factory Class Reference

TAO_Notify_POA_Factory. More...

`#include <Notify_POA_Factory.h>`

Inheritance diagram for TAO_Notify_POA_Factory:

[legend]
Collaboration diagram for TAO_Notify_POA_Factory:

[legend]
List of all members.

## Public Methods
virtual PortableServer::POA_ptr | create_event_channel_POA (PortableServer::POA_ptr parent_poa ACE_ENV_ARG_DECL)=0
| Create the POA to activate Event Channels in. More...
virtual PortableServer::POA_ptr | create_supplier_admin_POA (PortableServer::POA_ptr parent_poa, CORBA::Long new_poa_id ACE_ENV_ARG_DECL)=0
| Create the POA to activate SA's in. More...
virtual PortableServer::POA_ptr | create_consumer_admin_POA (PortableServer::POA_ptr parent_poa, CORBA::Long new_poa_id ACE_ENV_ARG_DECL)=0
| Create the POA to activate CA's in. More...
virtual PortableServer::POA_ptr | create_proxy_pushconsumer_POA (PortableServer::POA_ptr parent_poa, CORBA::Long new_poa_id ACE_ENV_ARG_DECL)=0
| Create the POA to activate proxy push consumers in. More...
virtual PortableServer::POA_ptr | create_proxy_pushsupplier_POA (PortableServer::POA_ptr parent_poa, CORBA::Long new_poa_id ACE_ENV_ARG_DECL)=0
| Create the POA to activate proxy push suppliers in. More...
virtual CORBA::Object_ptr | activate_object_with_id (CORBA::Long id, PortableServer::POA_ptr poa, PortableServer::Servant servant ACE_ENV_ARG_DECL)=0
| Converts <id> to an ObjectId and registers with the POA <poa>. More...
virtual CORBA::Object_ptr | activate_object (PortableServer::POA_ptr poa, PortableServer::Servant servant ACE_ENV_ARG_DECL)=0
| Registers with the POA <poa>. More...
virtual CORBA::Object_ptr | servant_to_reference (PortableServer::POA_ptr poa, PortableServer::Servant servant ACE_ENV_ARG_DECL)=0
| Registers with the POA <poa>. More...
virtual CORBA::Object_ptr | id_to_reference (CORBA::Long id, PortableServer::POA_ptr poa ACE_ENV_ARG_DECL)=0
| Look for the Object with id <id> in <poa>. More...
virtual void | destroy_POA (PortableServer::POA_ptr poa ACE_ENV_ARG_DECL)=0
| Destroy the <poa>. More...
virtual void | deactivate_object (CORBA::Object_ptr obj, PortableServer::POA_ptr poa ACE_ENV_ARG_DECL)=0
| Deactivate the object. More...
virtual void | deactivate_object (PortableServer::Servant servant, PortableServer::POA_ptr ACE_ENV_ARG_DECL)=0
| Deactivate the object. More...

## Detailed Description

TAO_Notify_POA_Factory.

Interface for POA objects.

## Member Function Documentation

virtual CORBA::Object_ptr TAO_Notify_POA_Factory::activate_object | ( | PortableServer::POA_ptr | poa,
|  | PortableServer::Servant servant | ACE_ENV_ARG_DECL
| ) | `[pure virtual]`

| Registers with the POA <poa>. Reimplemented in TAO_Notify_Default_POA_Factory.

virtual CORBA::Object_ptr TAO_Notify_POA_Factory::activate_object_with_id | ( | CORBA::Long | id,
|  | PortableServer::POA_ptr | poa,
|  | PortableServer::Servant servant | ACE_ENV_ARG_DECL
| ) | `[pure virtual]`

| Converts <id> to an ObjectId and registers with the POA <poa>. Reimplemented in TAO_Notify_Default_POA_Factory.

virtual PortableServer::POA_ptr TAO_Notify_POA_Factory::create_consumer_admin_POA | ( | PortableServer::POA_ptr | parent_poa,
|  | CORBA::Long new_poa_id | ACE_ENV_ARG_DECL
| ) | `[pure virtual]`

| Create the POA to activate CA's in. Reimplemented in TAO_Notify_Default_POA_Factory.

virtual PortableServer::POA_ptr TAO_Notify_POA_Factory::create_event_channel_POA | ( | PortableServer::POA_ptr parent_poa | ACE_ENV_ARG_DECL | ) | `[pure virtual]`

| Create the POA to activate Event Channels in. Reimplemented in TAO_Notify_Default_POA_Factory.

virtual PortableServer::POA_ptr TAO_Notify_POA_Factory::create_proxy_pushconsumer_POA | ( | PortableServer::POA_ptr | parent_poa,
|  | CORBA::Long new_poa_id | ACE_ENV_ARG_DECL
| ) | `[pure virtual]`

| Create the POA to activate proxy push consumers in. Reimplemented in TAO_Notify_Default_POA_Factory.

virtual PortableServer::POA_ptr TAO_Notify_POA_Factory::create_proxy_pushsupplier_POA | ( | PortableServer::POA_ptr | parent_poa,
|  | CORBA::Long new_poa_id | ACE_ENV_ARG_DECL
| ) | `[pure virtual]`

| Create the POA to activate proxy push suppliers in. Reimplemented in TAO_Notify_Default_POA_Factory.

virtual PortableServer::POA_ptr TAO_Notify_POA_Factory::create_supplier_admin_POA | ( | PortableServer::POA_ptr | parent_poa,
|  | CORBA::Long new_poa_id | ACE_ENV_ARG_DECL
| ) | `[pure virtual]`

| Create the POA to activate SA's in. Reimplemented in TAO_Notify_Default_POA_Factory.

virtual void TAO_Notify_POA_Factory::deactivate_object | ( | PortableServer::Servant | servant,
|  | PortableServer::POA_ptr | poa
| ) | `[pure virtual]`

| Deactivate the object. Reimplemented in TAO_Notify_Default_POA_Factory.

virtual void TAO_Notify_POA_Factory::deactivate_object | ( | CORBA::Object_ptr | obj,
|  | PortableServer::POA_ptr poa | ACE_ENV_ARG_DECL
| ) | `[pure virtual]`

| Deactivate the object. Reimplemented in TAO_Notify_Default_POA_Factory.

virtual void TAO_Notify_POA_Factory::destroy_POA | ( | PortableServer::POA_ptr poa | ACE_ENV_ARG_DECL | ) | `[pure virtual]`

| Destroy the <poa>. Reimplemented in TAO_Notify_Default_POA_Factory.

virtual CORBA::Object_ptr TAO_Notify_POA_Factory::id_to_reference | ( | CORBA::Long | id,
|  | PortableServer::POA_ptr poa | ACE_ENV_ARG_DECL
| ) | `[pure virtual]`

| Look for the Object with id <id> in <poa>. Reimplemented in TAO_Notify_Default_POA_Factory.

virtual CORBA::Object_ptr TAO_Notify_POA_Factory::servant_to_reference | ( | PortableServer::POA_ptr | poa,
|  | PortableServer::Servant servant | ACE_ENV_ARG_DECL
| ) | `[pure virtual]`

| Registers with the POA <poa>. Reimplemented in TAO_Notify_Default_POA_Factory.

The documentation for this class was generated from the following file:

- Notify_POA_Factory.h